clang 8.0.0

Public Member Functions | Public Attributes | List of all members
llvm::yaml::MappingTraits< clang::tooling::Replacement >::NormalizedReplacement Struct Reference

Helper to (de)serialize a Replacement since we don't have direct access to its data members. More...

`#include "clang/Tooling/ReplacementsYaml.h"`

Collaboration diagram for llvm::yaml::MappingTraits< clang::tooling::Replacement >::NormalizedReplacement:
[legend]

## Public Member Functions
| NormalizedReplacement (const IO &)
| NormalizedReplacement (const IO &, const clang::tooling::Replacement &R)
clang::tooling::Replacement | denormalize (const IO &)

## Public Attributes
std::string | FilePath
unsigned int | Offset
unsigned int | Length
std::string | ReplacementText

## Detailed Description

### template<>
struct llvm::yaml::MappingTraits< clang::tooling::Replacement >::NormalizedReplacement

Helper to (de)serialize a Replacement since we don't have direct access to its data members.

Definition at line 33 of file ReplacementsYaml.h.

## Constructor & Destructor Documentation

## ◆ NormalizedReplacement() [1/2]

llvm::yaml::MappingTraits< clang::tooling::Replacement >::NormalizedReplacement::NormalizedReplacement | ( | const IO & |  | ) |
| inline

Definition at line 34 of file ReplacementsYaml.h.

## ◆ NormalizedReplacement() [2/2]

llvm::yaml::MappingTraits< clang::tooling::Replacement >::NormalizedReplacement::NormalizedReplacement | ( | const IO & | ,
|  | const clang::tooling::Replacement & | R
| ) |  |
| inline

Definition at line 37 of file ReplacementsYaml.h.

## Member Function Documentation

## ◆ denormalize()

clang::tooling::Replacement llvm::yaml::MappingTraits< clang::tooling::Replacement >::NormalizedReplacement::denormalize | ( | const IO & |  | ) |
| inline

Definition at line 41 of file ReplacementsYaml.h.

References Offset.

## Member Data Documentation

## ◆ FilePath

std::string llvm::yaml::MappingTraits< clang::tooling::Replacement >::NormalizedReplacement::FilePath

Definition at line 46 of file ReplacementsYaml.h.

## ◆ Length

unsigned int llvm::yaml::MappingTraits< clang::tooling::Replacement >::NormalizedReplacement::Length

Definition at line 48 of file ReplacementsYaml.h.

## ◆ Offset

unsigned int llvm::yaml::MappingTraits< clang::tooling::Replacement >::NormalizedReplacement::Offset

Definition at line 47 of file ReplacementsYaml.h.

## ◆ ReplacementText

std::string llvm::yaml::MappingTraits< clang::tooling::Replacement >::NormalizedReplacement::ReplacementText

Definition at line 49 of file ReplacementsYaml.h.

The documentation for this struct was generated from the following file:

- include/clang/Tooling/ReplacementsYaml.h